POST V1/RateAndTariff.{ext}/UploadBatchFile?batchId={batchId}
This API used to upload batch file.
Mandatory Fields :Request in pdf format, Batch Id
Optional Fields : File Name.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| batchId |
Batch Id |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
Returns response
EMSResponseOfEMS.Common.TransactionResult| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Common.TransactionResult |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
Sample:
{
"responseType": "TransactionResult",
"response": {
"status": "sample string 1",
"message": "sample string 2",
"result": "sample string 3"
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.